Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Buffering_Constraint_Policy Class Reference

`#include <Buffering_Constraint_Policy.h>`

Inheritance diagram for TAO_Buffering_Constraint_Policy:

[legend]
Collaboration diagram for TAO_Buffering_Constraint_Policy:

[legend]
List of all members.

## Public Methods
| TAO_Buffering_Constraint_Policy (const TAO::BufferingConstraint &buffering_constraint)
| Constructor. More...
| TAO_Buffering_Constraint_Policy (const TAO_Buffering_Constraint_Policy &rhs)
| Copy constructor. More...
virtual TAO_Buffering_Constraint_Policy * | clone (void) const
| Returns a copy of <this>. More...
virtual TAO::BufferingConstraint | buffering_constraint (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
void | get_buffering_constraint (TAO::BufferingConstraint &) const
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
## Static Public Methods
CORBA::Policy_ptr | create (const CORBA::Any &val ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Helper method for the implementation of CORBA::ORB::create_policy. More...
## Private Attributes
TAO::BufferingConstraint | buffering_constraint_
| The attribute. More...

## Constructor & Destructor Documentation

TAO_Buffering_Constraint_Policy::TAO_Buffering_Constraint_Policy | ( | const TAO::BufferingConstraint & | buffering_constraint | ) |

| Constructor.

TAO_Buffering_Constraint_Policy::TAO_Buffering_Constraint_Policy | ( | const TAO_Buffering_Constraint_Policy & | rhs | ) |

| Copy constructor.

## Member Function Documentation

TAO_Cached_Policy_Type TAO_Buffering_Constraint_Policy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

TAO::BufferingConstraint TAO_Buffering_Constraint_Policy::buffering_constraint | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

TAO_Buffering_Constraint_Policy * TAO_Buffering_Constraint_Policy::clone | ( | void |  | ) | const`[virtual]`

| Returns a copy of <this>.

CORBA::Policy_ptr TAO_Buffering_Constraint_Policy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::Policy_ptr TAO_Buffering_Constraint_Policy::create | ( | const CORBA::Any &val | ACE_ENV_ARG_DECL | ) | `[static]`

| Helper method for the implementation of CORBA::ORB::create_policy.

void TAO_Buffering_Constraint_Policy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

ACE_INLINE void TAO_Buffering_Constraint_Policy::get_buffering_constraint | ( | TAO::BufferingConstraint & | bc | ) | const

CORBA::PolicyType TAO_Buffering_Constraint_Policy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

TAO::BufferingConstraint TAO_Buffering_Constraint_Policy::buffering_constraint_`[private]`

| The attribute.

The documentation for this class was generated from the following files:

- Buffering_Constraint_Policy.h
- Buffering_Constraint_Policy.cpp
- Buffering_Constraint_Policy.i